Bug 12012 - отсутствие содержания на главной странице
: отсутствие содержания на главной странице
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/docs-informatika1)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-06-10 16:20 by
Modified: 2008-04-02 17:23 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-06-10 16:20:09
docs-informatika1-kirill-020617-alt2.1

при попытке воспользоваться
/usr/share/doc/alt-docs/modules/informatika1.kirill/index.html
и переходе оттуда на
/usr/share/doc/alt-docs/modules/informatika1.kirill/Book1/index1.html
получаем просто пустую страничку с нерабочей кнопкой "Практическая 
информатика", что затрудняет ознакомление с содержимым пакета.
------- Comment #1 From 2007-06-14 21:17:36 -------
Не понимаю, в чем проблема: у меня firefox на 
/usr/share/doc/alt-docs/modules/informatika1.kirill/Book1/index1.html
показывает адекватную страницу. "Практическая информатика" -- это просто
картинка тут, а не кнопка.

Возможно, на диске битый файл. Что говорит 
$ rpmquery -V docs-informatika1-kirill

Какой браузер?
------- Comment #2 From 2007-06-15 00:45:17 -------
хм. точно.
в firefox - ok
в konqueror - пустота.
------- Comment #3 From 2007-06-20 12:46:16 -------
НО!

тот же Konqueror прекрасно открывает "исходник" - 
http://www.ctc.msiu.ru/materials/Book1/index1.html

Так что, думаю, всё же можно посмотреть и в сторону корректности переноса 
исходника в пакет.
------- Comment #4 From 2007-06-20 14:03:50 -------
(In reply to comment #3)
> НО!
> 
> тот же Konqueror прекрасно открывает "исходник" - 
> http://www.ctc.msiu.ru/materials/Book1/index1.html

Источник проблемы -- в том, как устроен JavaScript на этой странице,
см. сам файл. Суть вкратце: 
 - в JS используется cookie, 
 - в konqueror для протокола file:// не поддерживаются cookie (т.к. это понятие
http)
 - в firefox cookie для протокола file:// поддерживаются

Иначе говоря, система навигации по книжке сделана неграмотно, что особенно печально
для учебника информатики.

Правильное решение этой проблемы состоит в том, чтобы викинуть
текущую систему навигации и сделать правильно, но это трудоёмко, и я 
этим заняться не смогу.

------- Comment #5 From 2008-04-02 15:19:35 -------
Перевешаваю на docs-informatika1
------- Comment #6 From 2008-04-02 15:20:35 -------
Я бы сказал, WONTFIX. Есть возражения?
------- Comment #7 From 2008-04-02 15:41:20 -------
На “нет” — и суда нет

Перевешивай на меня.
Как минимум добавлю в description что читать только firefox-ом.
------- Comment #8 From 2008-04-02 16:50:47 -------
reopen
------- Comment #9 From 2008-04-02 16:51:30 -------
reassign
------- Comment #10 From 2008-04-02 17:23:37 -------
added note in description:
docs-informatika1-0.1-alt3
------- Comment #11 From 2008-04-02 17:23:53 -------
закрываем